CVE-2017-7547

Public on 2017-08-31
Modified on 2017-10-10
Description
An authorization flaw was found in the way PostgreSQL handled access to the pg_user_mappings view on foreign servers. A remote, authenticated attacker could potentially use this flaw to retrieve passwords from the user mappings defined by the foreign server owners without actually having the privileges to do so.
Severity
Medium
CVSS v3 Base Score
7.5
See breakdown

Affected Packages

Platform Package Release Date Advisory
Amazon Linux 1 postgresql93 2017-08-31 16:20 ALAS-2017-884
Amazon Linux 1 postgresql92 2017-08-31 16:20 ALAS-2017-884
Amazon Linux 1 postgresql94 2017-08-31 16:22 ALAS-2017-885
Amazon Linux 1 postgresql95 2017-08-31 16:22 ALAS-2017-885
Amazon Linux 1 postgresql96 2017-10-06 16:51 ALAS-2017-908

CVSS Scores

Score Type Score Vector
Amazon Linux CVSSv3 7.5 CVSS:3.0/AV:N/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H
NVD CVSSv2 4.0 AV:N/AC:L/Au:S/C:P/I:N/A:N
NVD CVSSv3 8.8 CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H